# Syntax

## Get account balance info

```
GET /v{version}/accounts/{accountId}/info
```

### Description

This API request returns the balance information of a particular trading account

### Parameters

| Type       | Name                           | Description                                                                                                                                 | Schema          | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | --------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                        | string          |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                      | string          |         |
| **Path**   | **accountId**   *required*     | This is the unique identifier of the trading account in Autoshares Trader.                                                                  | integer (int32) |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0. | string          | `"1"`   |

### Responses

| HTTP Code | Description                                                                                       | Schema                          |
| --------- | ------------------------------------------------------------------------------------------------- | ------------------------------- |
| **200**   | Returns a dictionary with the balance information of the trading account                          | < string, number (double) > map |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation. | No Content                      |
| **403**   | The provided Et-App-Key is incorrect.                                                             | No Content                      |
| **422**   | A validation error occurred while processing the request.                                         | No Content                      |
| **500**   | Internal server error                                                                             | No Content                      |

### Produces

* `application/json`
* `text/json`
